﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Register TagPrefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="jQueryWebPart.ascx.cs"
    Inherits="jQueryAndSP.jQueryWebPart.jQueryWebPart" %>
<script src="../Scripts/jquery.js" type="text/javascript"></script>
<script src="../Scripts/hovercard.js" type="text/javascript"></script>
<h2>
    Books</h2>
<div id="books">
</div>
<script type="text/javascript">
    ExecuteOrDelayUntilScriptLoaded(LoadList, "sp.js");

    function LoadList() {
        var context = new SP.ClientContext.get_current();
        var web = context.get_web();
        var bookList = web.get_lists().getByTitle('Books');

        var query = SP.CamlQuery.createAllItemsQuery();
        allItems = bookList.getItems(query);
        context.load(allItems, 'Include(Title,Synopsis)');

        context.executeQueryAsync(Function.createDelegate(this, this.ListRetrieved), Function.createDelegate(this, this.RetrievalFailed));
    }

    function ListRetrieved() {  
        var listEnumerator = this.allItems.getEnumerator();
        var count = 1;

        while (listEnumerator.moveNext()) {
            var currentItem = listEnumerator.get_current();
            var id = 2;
            var title = currentItem.get_item('Title');
            var synop = currentItem.get_item('Synopsis');

            $("#books").append('<div id="book-"' + count + ' class="book" title="' + synop + '">' + title + '</div><br/><br/>');
            count++;
        }

        $('.book').each(function () {
            var synop = $(this).attr("title");
            $(this).hovercard({
                detailsHTML: "<div><p>" + synop + "</p></div>",
                width:400
            });
        });
    }

    function RetrievalFailed(sender, args) {
        alert("Could not retrieve list:" + args.get_message());
    }
</script>
